{
  "openapi": "3.1.0",
  "info": {
    "title": "enterprise-service",
    "description": "HTTP Service for managing enterprise specific operations",
    "version": "v3",
    "contact": {
      "name": "Mezmo",
      "email": "support@mezmo.com",
      "url": "https://mezmo.com/support"
    }
  },
  "components": {
    "securitySchemes": {
      "AccessToken": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "account": {
        "type": "object",
        "title": "Account",
        "description": "Represents a platform level account\nregistration, authentication and authorization.",
        "properties": {
          "account_id": {
            "type": "string",
            "maxLength": 24,
            "description": "A value that uniquely identifies the account.",
            "example": "8aca3b99b4ee99db2c0fb6b7"
          },
          "enterprise_id": {
            "type": "string",
            "maxLength": 24,
            "description": "A value that uniquely identifies the enterprise to which the account belongs.",
            "example": "c0c41da6c8"
          },
          "account": {
            "type": "string",
            "maxLength": 20,
            "description": "A shorthand identifier for the associated account",
            "example": "b35eda6673"
          },
          "company": {
            "type": "string",
            "maxLength": 250,
            "description": "Name of the company which owns the account",
            "example": "Snippet Factory"
          },
          "deactivated": {
            "type": "string",
            "maxLength": 35,
            "format": "date-time",
            "nullable": true,
            "description": "Indicates if the account has been deactivated or not"
          },
          "owneremail": {
            "type": "string",
            "maxLength": 320,
            "format": "email",
            "description": "Email address of account owner",
            "example": "admin@snippetfactory.com"
          },
          "external_id": {
            "type": "string",
            "maxLength": 255,
            "default": null,
            "nullable": true,
            "description": "And identifier that can be used to reference and id from a different system",
            "example": "d615396c40"
          },
          "plan": {
            "type": "object",
            "additionalProperties": true,
            "description": "Billing plan and associated feature information pertaining",
            "properties": {
              "type": {
                "type": "string",
                "minLength": 4,
                "maxLength": 50,
                "description": "The new billing plan type to assign the target account once attached",
                "example": "enterprise"
              }
            }
          },
          "quota": {
            "type": "object",
            "additionalProperties": true,
            "description": "Quota information pertaining to the account",
            "properties": {
              "retention": {
                "type": "integer",
                "minimum": 0,
                "maximum": 90,
                "format": "int32",
                "description": "Data retention policy information pertaining to the account",
                "example": 14
              }
            }
          },
          "retention": {
            "type": "integer",
            "minimum": 0,
            "maximum": 90,
            "format": "int32",
            "description": "Data retention policy information pertaining to the account"
          },
          "status": {
            "type": "string",
            "enum": [
              "active",
              "deactivated",
              "pending"
            ],
            "description": "Indication the account's current activation state"
          },
          "created": {
            "type": "string",
            "maxLength": 35,
            "format": "date-time",
            "description": "Indicates when the account was created"
          },
          "meta": {
            "type": "object",
            "description": "Metadata about the account",
            "additionalProperties": true
          }
        },
        "required": [
          "account_id",
          "enterprise_id"
        ]
      },
      "enterprise": {
        "type": "object",
        "additionalProperties": false,
        "title": "Enterprise",
        "description": "An Enterprise represents a grouping of platform Accounts under a single entity.",
        "properties": {
          "enterprise_id": {
            "type": "string",
            "maxLength": 32,
            "description": "A value that uniquely identifies the Enterprise.",
            "example": "6399e4ab6f66431300e1cf9a"
          },
          "name": {
            "type": "string",
            "maxLength": 255,
            "description": "A machine-friendly name for the Enterprise.",
            "example": "Acme Inc."
          },
          "parent_enterprise_id": {
            "type": "string",
            "maxLength": 32,
            "description": "The ID of the parent Enterprise, if any.",
            "example": "e4b1070eae"
          },
          "partner": {
            "type": "string",
            "maxLength": 255,
            "description": "Name of the partner which owns the Enterprise.",
            "example": "Example Inc."
          },
          "status": {
            "type": "string",
            "minLength": 1,
            "maxLength": 25,
            "description": "Indicates the status of the Enterprise.",
            "example": "active"
          },
          "accounts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/account"
            },
            "description": "The list of Accounts that belong to this Enterprise.",
            "maxItems": 3000
          }
        },
        "required": [
          "enterprise_id",
          "name",
          "status"
        ]
      },
      "account-owner": {
        "type": "object",
        "title": "Account Owner",
        "description": "Represents the user that is considered the sole owner of an account",
        "properties": {
          "user_id": {
            "type": "string",
            "maxLength": 24,
            "description": "Unique identifier which can be used to reference a specific user.",
            "example": "8602b169800306cb2122207e"
          },
          "firstname": {
            "type": "string",
            "maxLength": 50,
            "description": "Name of user given to them upon birth.",
            "example": "John"
          },
          "lastname": {
            "type": "string",
            "maxLength": 50,
            "description": "Common family or surname of the user.",
            "example": "Doe"
          },
          "email": {
            "type": "string",
            "format": "email",
            "maxLength": 320,
            "description": "Used primarily as a means of authentication during login.\nAdditionally, this is the address where platform emails intended for the user\nwill be sent.",
            "example": "member@snippetfactory.com"
          },
          "name": {
            "type": "string",
            "maxLength": 125,
            "description": "Full name of the user. Generally the combination of firstname and lastname.",
            "example": "John Doe"
          },
          "accounts": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 20
            },
            "maxItems": 200,
            "description": "List of short account id which indicate all accounts\nunder which a user is a member of.",
            "example": [
              "9fc4097ce3",
              "f4aba3b697"
            ]
          },
          "enterprise_ids": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 20
            },
            "maxItems": 50,
            "description": "List of ids which indicate all enterprise accounts\nunder which a user is a member of.",
            "example": [
              "1905a829ed",
              "810d90f7d9"
            ]
          },
          "verified": {
            "type": "boolean",
            "description": "Indication of wheather the user has completed the registration process\nand confirmed to be a legitimate permison.",
            "example": true
          }
        }
      },
      "account-bulk-operations-request": {
        "type": "object",
        "title": "Account Bulk Operations Request",
        "description": "Request body for bulk operations on accounts",
        "properties": {
          "operations": {
            "type": "array",
            "minItems": 1,
            "maxItems": 100,
            "description": "List of bulk operations",
            "items": {
              "type": "object",
              "title": "Bulk Operation",
              "description": "Represents a single bulk operation on an entity",
              "allOf": [
                {
                  "if": {
                    "properties": {
                      "action": {
                        "enum": [
                          "UPDATE",
                          "DELETE"
                        ],
                        "type": "string"
                      }
                    }
                  },
                  "then": {
                    "required": [
                      "entity_id"
                    ]
                  }
                },
                {
                  "if": {
                    "properties": {
                      "action": {
                        "enum": [
                          "CREATE",
                          "UPDATE"
                        ],
                        "type": "string"
                      }
                    }
                  },
                  "then": {
                    "required": [
                      "entity"
                    ]
                  }
                }
              ],
              "properties": {
                "operation_id": {
                  "type": "string",
                  "title": "Client generated id to associate operation with result",
                  "description": "Used for navigation only, not persisted in database.\nIf not provided, the array index (as string) will be used in the response",
                  "example": "4b1a1504fa47866dafe8b5d4"
                },
                "action": {
                  "type": "string",
                  "enum": [
                    "CREATE",
                    "UPDATE",
                    "DELETE"
                  ],
                  "description": "Operation type (enum, not extensible)"
                },
                "entity_id": {
                  "type": "string",
                  "title": "Entity unique identifier",
                  "description": "The identifier of the entity for UPDATE and DELETE operations.\nMUST be null or omitted for CREATE operations",
                  "example": "471ef1c4154b987a94509213"
                },
                "entity": {
                  "$ref": "#/components/schemas/account-create-request"
                }
              },
              "required": [
                "action"
              ]
            }
          }
        },
        "required": [
          "operations"
        ]
      },
      "bulk-operation-account": {
        "type": "object",
        "title": "Bulk Operation",
        "description": "Represents a single bulk operation on an entity",
        "allOf": [
          {
            "if": {
              "properties": {
                "action": {
                  "enum": [
                    "UPDATE",
                    "DELETE"
                  ],
                  "type": "string"
                }
              }
            },
            "then": {
              "required": [
                "entity_id"
              ]
            }
          },
          {
            "if": {
              "properties": {
                "action": {
                  "enum": [
                    "CREATE",
                    "UPDATE"
                  ],
                  "type": "string"
                }
              }
            },
            "then": {
              "required": [
                "entity"
              ]
            }
          }
        ],
        "properties": {
          "operation_id": {
            "type": "string",
            "title": "Client generated id to associate operation with result",
            "description": "Used for navigation only, not persisted in database.\nIf not provided, the array index (as string) will be used in the response",
            "example": "4b1a1504fa47866dafe8b5d4"
          },
          "action": {
            "type": "string",
            "enum": [
              "CREATE",
              "UPDATE",
              "DELETE"
            ],
            "description": "Operation type (enum, not extensible)"
          },
          "entity_id": {
            "type": "string",
            "title": "Entity unique identifier",
            "description": "The identifier of the entity for UPDATE and DELETE operations.\nMUST be null or omitted for CREATE operations",
            "example": "471ef1c4154b987a94509213"
          },
          "entity": {
            "$ref": "#/components/schemas/account-create-request"
          }
        },
        "required": [
          "action"
        ]
      },
      "account-bulk-operations-response": {
        "type": "object",
        "title": "Account Bulk Operations Response",
        "description": "Response body for bulk operations on accounts",
        "properties": {
          "status": {
            "type": "string",
            "enum": [
              "SUCCEEDED",
              "FAILED",
              "PARTIAL"
            ],
            "title": "Overall status of the bulk operation"
          },
          "operations": {
            "type": "array",
            "title": "List of bulk operations",
            "description": "Results for each operation from the request. Should be in the same order as the request operations",
            "items": {
              "type": "object",
              "title": "Bulk Operation Result",
              "description": "Represents the result of a single bulk operation on an entity",
              "properties": {
                "operation_id": {
                  "type": "string",
                  "title": "Matching operation_id or index from request",
                  "description": "Matches the operation_id from the request if provided,\notherwise the index of the operation as a string",
                  "example": "408efce8aa57bd0d8a861298"
                },
                "action": {
                  "type": "string",
                  "enum": [
                    "CREATE",
                    "UPDATE",
                    "DELETE"
                  ],
                  "description": "Operation type (enum, not extensible)"
                },
                "entity_id": {
                  "type": "string",
                  "title": "Entity identifier",
                  "description": "Entity identifier for UPDATE / DELETE operations",
                  "example": "cb7b7c1f5100d2d5d31ad4f1"
                },
                "entity": {
                  "$ref": "#/components/schemas/account"
                },
                "result": {
                  "type": "object",
                  "title": "Operation result",
                  "description": "Result details for a single operation",
                  "properties": {
                    "status": {
                      "type": "string",
                      "enum": [
                        "SUCCEEDED",
                        "FAILED"
                      ],
                      "title": "Operation result status"
                    },
                    "detail": {
                      "type": "string",
                      "title": "Human readable message",
                      "description": "Detailed message about the operation result",
                      "example": "Account created successfully"
                    },
                    "context": {
                      "type": "array",
                      "title": "Detailed error information",
                      "description": "List of objects providing additional context\nfor errors or failures",
                      "items": {
                        "type": "object",
                        "title": "Detailed error information",
                        "properties": {
                          "message": {
                            "type": "string",
                            "title": "Specific error details",
                            "example": "Account not found"
                          },
                          "code": {
                            "type": "string",
                            "title": "Machine readable error code",
                            "example": "ECONTRACT"
                          }
                        },
                        "required": [
                          "message",
                          "code"
                        ]
                      }
                    }
                  },
                  "required": [
                    "status",
                    "detail",
                    "context"
                  ]
                }
              },
              "required": [
                "operation_id",
                "action"
              ]
            }
          }
        },
        "required": [
          "status",
          "operations"
        ]
      },
      "bulk-operation-result-account": {
        "type": "object",
        "title": "Bulk Operation Result",
        "description": "Represents the result of a single bulk operation on an entity",
        "properties": {
          "operation_id": {
            "type": "string",
            "title": "Matching operation_id or index from request",
            "description": "Matches the operation_id from the request if provided,\notherwise the index of the operation as a string",
            "example": "408efce8aa57bd0d8a861298"
          },
          "action": {
            "type": "string",
            "enum": [
              "CREATE",
              "UPDATE",
              "DELETE"
            ],
            "description": "Operation type (enum, not extensible)"
          },
          "entity_id": {
            "type": "string",
            "title": "Entity identifier",
            "description": "Entity identifier for UPDATE / DELETE operations",
            "example": "cb7b7c1f5100d2d5d31ad4f1"
          },
          "entity": {
            "$ref": "#/components/schemas/account"
          },
          "result": {
            "type": "object",
            "title": "Operation result",
            "description": "Result details for a single operation",
            "properties": {
              "status": {
                "type": "string",
                "enum": [
                  "SUCCEEDED",
                  "FAILED"
                ],
                "title": "Operation result status"
              },
              "detail": {
                "type": "string",
                "title": "Human readable message",
                "description": "Detailed message about the operation result",
                "example": "Account created successfully"
              },
              "context": {
                "type": "array",
                "title": "Detailed error information",
                "description": "List of objects providing additional context\nfor errors or failures",
                "items": {
                  "type": "object",
                  "title": "Detailed error information",
                  "properties": {
                    "message": {
                      "type": "string",
                      "title": "Specific error details",
                      "example": "Account not found"
                    },
                    "code": {
                      "type": "string",
                      "title": "Machine readable error code",
                      "example": "ECONTRACT"
                    }
                  },
                  "required": [
                    "message",
                    "code"
                  ]
                }
              }
            },
            "required": [
              "status",
              "detail",
              "context"
            ]
          }
        },
        "required": [
          "operation_id",
          "action"
        ]
      },
      "account-create-request": {
        "type": "object",
        "title": "Account",
        "description": "Represents a platform level account\nregistration, authentication and authorization.",
        "properties": {
          "company": {
            "type": "string",
            "maxLength": 250,
            "description": "Name of the company which owns the account",
            "example": "Snippet Factory"
          },
          "owneremail": {
            "type": "string",
            "maxLength": 320,
            "format": "email",
            "description": "Email address of account owner",
            "example": "admin@snippetfactory.com"
          },
          "external_id": {
            "type": "string",
            "maxLength": 255,
            "default": null,
            "nullable": true,
            "description": "And identifier that can be used to reference and id from a different system",
            "example": "d615396c40"
          },
          "plan": {
            "type": "object",
            "additionalProperties": true,
            "description": "Billing plan and associated feature information pertaining",
            "properties": {
              "type": {
                "type": "string",
                "minLength": 4,
                "maxLength": 50,
                "description": "The new billing plan type to assign the target account once attached",
                "example": "enterprise"
              }
            }
          },
          "retention": {
            "type": "integer",
            "minimum": 0,
            "maximum": 90,
            "format": "int32",
            "description": "Data retention policy information pertaining to the account",
            "example": 7
          },
          "enable_syslog": {
            "type": "boolean",
            "default": false,
            "title": "Enable Syslog Ingestion",
            "description": "Enables syslog ingestion for the new account via custom ports."
          },
          "include_admins": {
            "type": "boolean",
            "default": false,
            "title": "Auto join all enterprise admins",
            "description": "If true, all enterprise admins will be added as members of the child account"
          }
        }
      },
      "pipeline": {
        "type": "object",
        "additionalProperties": false,
        "title": "Pipeline",
        "description": "A Pipeline record represents a pipeline and its configuration for a given account.",
        "properties": {
          "id": {
            "type": "string",
            "maxLength": 36,
            "description": "A value that uniquely identifies the Pipeline.",
            "example": "8b7ef846-a781-44da-a6f2-e42ade30a01b"
          },
          "account_id": {
            "type": "string",
            "maxLength": 10,
            "description": "The account ID associated with the Pipeline.",
            "example": "3243046218"
          },
          "config": {
            "type": "object",
            "additionalProperties": true,
            "description": "The configuration for the Pipeline."
          },
          "title": {
            "type": "string",
            "maxLength": 255,
            "description": "A human-friendly name for the Pipeline."
          },
          "partition_id": {
            "type": "string",
            "maxLength": 36,
            "description": "The partition ID associated with the Pipeline."
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "description": "The date and time when the Pipeline was created."
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "description": "The date and time when the Pipeline was last updated."
          },
          "published_at": {
            "type": "string",
            "format": "date-time",
            "description": "The date and time when the Pipeline was published."
          },
          "deployment_groups": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 32
            },
            "description": "The deployment groups associated with the Pipeline."
          },
          "published_revision_id": {
            "type": "string",
            "maxLength": 36,
            "description": "The ID of the published revision of the Pipeline.",
            "example": "b53844f6-b0ff-4754-84a7-19929bf19d92"
          },
          "deployed_revision_id": {
            "type": "string",
            "maxLength": 36,
            "description": "The ID of the deployed revision of the Pipeline.",
            "example": "4b7d4aff-9356-4406-a06c-08a11e8e5378"
          },
          "loaded_revision_id": {
            "type": "string",
            "maxLength": 36,
            "description": "The ID of the loaded revision of the Pipeline.",
            "example": "be429863-0d54-476a-9b62-5e380bfeee40"
          },
          "processing_status": {
            "type": "string",
            "maxLength": 25,
            "description": "The processing status of the Pipeline."
          },
          "origin": {
            "type": "string",
            "maxLength": 25,
            "description": "The origin of the Pipeline."
          },
          "deploy_type": {
            "type": "string",
            "maxLength": 25,
            "description": "The deployment type of the Pipeline."
          },
          "replay_config": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": true
            },
            "description": "The replay configuration for the Pipeline."
          }
        },
        "required": [
          "id",
          "account_id"
        ]
      },
      "pipeline-metric-usage": {
        "type": "object",
        "additionalProperties": true,
        "title": "PipelineMetricUsage",
        "description": "A PipelineMetricUsage record represents the usage metric for a pipeline node for a given account.",
        "properties": {
          "edge_id": {
            "oneOf": [
              {
                "type": "string",
                "maxLength": 36,
                "examples": [
                  "c7e27454-e4c2-448d-be49-c9ab5e3187ec"
                ]
              },
              {
                "type": "null"
              }
            ],
            "description": "The edge ID associated with the usage metric."
          },
          "pipeline_id": {
            "type": "string",
            "maxLength": 36,
            "description": "A value that uniquely identifies the Pipeline.",
            "example": "02a0d09f-a32f-402f-95f9-4aaca45817ad"
          },
          "pipeline_title": {
            "type": "string",
            "description": "The title of the Pipeline."
          },
          "account_id": {
            "type": "string",
            "maxLength": 10,
            "description": "The account ID associated with the usage metric.",
            "example": "b58fce2734"
          },
          "node_id": {
            "type": "string",
            "maxLength": 36,
            "description": "The node ID associated with the usage metric.",
            "example": "072a04ec-31c1-4256-97d4-101d5bfd3ff9"
          },
          "node_title": {
            "type": "string",
            "description": "The title of the node."
          },
          "node_kind": {
            "type": "string",
            "enum": [
              "source",
              "transform",
              "sink"
            ],
            "description": "The kind of the node (e.g. sink, source, transform)."
          },
          "node_type": {
            "type": "string",
            "description": "The type of the node."
          },
          "deleted": {
            "type": "boolean",
            "description": "Whether the pipeline has been deleted."
          },
          "traffic": {
            "type": "string",
            "description": "The traffic direction (e.g. egress, ingress)."
          },
          "at": {
            "type": "string",
            "format": "date-time",
            "description": "The timestamp of the usage metric."
          },
          "byte_size": {
            "type": "string",
            "description": "The byte size of the usage metric."
          }
        }
      },
      "pipeline-metric-health": {
        "type": "object",
        "additionalProperties": true,
        "title": "PipelineMetricHealth",
        "description": "A PipelineMetricHealth record represents the health metric for a pipeline for a given account.",
        "properties": {
          "pipeline_id": {
            "type": "string",
            "maxLength": 36,
            "description": "A value that uniquely identifies the Pipeline.",
            "example": "53b12f99-1b0c-474c-a79b-4ad8fc2db362"
          },
          "pipeline_title": {
            "type": "string",
            "description": "The title of the Pipeline."
          },
          "account_id": {
            "type": "string",
            "maxLength": 10,
            "description": "The account ID associated with the health metric.",
            "example": "bbcccdcf15"
          },
          "sources": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "node_id": {
                  "type": "string",
                  "maxLength": 36,
                  "description": "The node ID.",
                  "example": "5e260cfa-d2ca-413a-93b0-f79c83509c5f"
                },
                "node_title": {
                  "oneOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "null"
                    }
                  ],
                  "description": "The title of the node."
                },
                "node_kind": {
                  "type": "string",
                  "description": "The kind of the node."
                },
                "node_type": {
                  "type": "string",
                  "description": "The type of the node."
                },
                "traffic": {
                  "type": "string",
                  "description": "The traffic direction."
                },
                "logs": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "additionalProperties": true,
                    "properties": {
                      "level": {
                        "type": "string",
                        "description": "The log level (e.g. ERROR, WARN)."
                      },
                      "edge_id": {
                        "oneOf": [
                          {
                            "type": "string",
                            "maxLength": 36,
                            "examples": [
                              "47fd24e6-9108-4eeb-a358-9e46ffd481d2"
                            ]
                          },
                          {
                            "type": "null"
                          }
                        ],
                        "description": "The edge ID associated with the log entry."
                      },
                      "message": {
                        "type": "string",
                        "description": "The log message."
                      },
                      "is_stale": {
                        "type": "boolean",
                        "description": "Whether the log entry is stale."
                      },
                      "last_seen_at": {
                        "type": "string",
                        "format": "date-time",
                        "description": "The timestamp when this log entry was last seen."
                      },
                      "captured_data": {
                        "oneOf": [
                          {
                            "type": "object",
                            "additionalProperties": true
                          },
                          {
                            "type": "null"
                          }
                        ],
                        "description": "Captured data associated with the log entry."
                      }
                    }
                  },
                  "description": "Health log entries for the node."
                }
              }
            },
            "description": "Source nodes of the pipeline."
          },
          "transforms": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "node_id": {
                  "type": "string",
                  "maxLength": 36,
                  "description": "The node ID.",
                  "example": "5e260cfa-d2ca-413a-93b0-f79c83509c5f"
                },
                "node_title": {
                  "oneOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "null"
                    }
                  ],
                  "description": "The title of the node."
                },
                "node_kind": {
                  "type": "string",
                  "description": "The kind of the node."
                },
                "node_type": {
                  "type": "string",
                  "description": "The type of the node."
                },
                "traffic": {
                  "type": "string",
                  "description": "The traffic direction."
                },
                "logs": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "additionalProperties": true,
                    "properties": {
                      "level": {
                        "type": "string",
                        "description": "The log level (e.g. ERROR, WARN)."
                      },
                      "edge_id": {
                        "oneOf": [
                          {
                            "type": "string",
                            "maxLength": 36,
                            "examples": [
                              "47fd24e6-9108-4eeb-a358-9e46ffd481d2"
                            ]
                          },
                          {
                            "type": "null"
                          }
                        ],
                        "description": "The edge ID associated with the log entry."
                      },
                      "message": {
                        "type": "string",
                        "description": "The log message."
                      },
                      "is_stale": {
                        "type": "boolean",
                        "description": "Whether the log entry is stale."
                      },
                      "last_seen_at": {
                        "type": "string",
                        "format": "date-time",
                        "description": "The timestamp when this log entry was last seen."
                      },
                      "captured_data": {
                        "oneOf": [
                          {
                            "type": "object",
                            "additionalProperties": true
                          },
                          {
                            "type": "null"
                          }
                        ],
                        "description": "Captured data associated with the log entry."
                      }
                    }
                  },
                  "description": "Health log entries for the node."
                }
              }
            },
            "description": "Transform nodes of the pipeline."
          },
          "transform_groups": {
            "type": "array",
            "description": "Transform group nodes of the pipeline."
          },
          "sinks": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "node_id": {
                  "type": "string",
                  "maxLength": 36,
                  "description": "The node ID.",
                  "example": "5e260cfa-d2ca-413a-93b0-f79c83509c5f"
                },
                "node_title": {
                  "oneOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "null"
                    }
                  ],
                  "description": "The title of the node."
                },
                "node_kind": {
                  "type": "string",
                  "description": "The kind of the node."
                },
                "node_type": {
                  "type": "string",
                  "description": "The type of the node."
                },
                "traffic": {
                  "type": "string",
                  "description": "The traffic direction."
                },
                "logs": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "additionalProperties": true,
                    "properties": {
                      "level": {
                        "type": "string",
                        "description": "The log level (e.g. ERROR, WARN)."
                      },
                      "edge_id": {
                        "oneOf": [
                          {
                            "type": "string",
                            "maxLength": 36,
                            "examples": [
                              "47fd24e6-9108-4eeb-a358-9e46ffd481d2"
                            ]
                          },
                          {
                            "type": "null"
                          }
                        ],
                        "description": "The edge ID associated with the log entry."
                      },
                      "message": {
                        "type": "string",
                        "description": "The log message."
                      },
                      "is_stale": {
                        "type": "boolean",
                        "description": "Whether the log entry is stale."
                      },
                      "last_seen_at": {
                        "type": "string",
                        "format": "date-time",
                        "description": "The timestamp when this log entry was last seen."
                      },
                      "captured_data": {
                        "oneOf": [
                          {
                            "type": "object",
                            "additionalProperties": true
                          },
                          {
                            "type": "null"
                          }
                        ],
                        "description": "Captured data associated with the log entry."
                      }
                    }
                  },
                  "description": "Health log entries for the node."
                }
              }
            },
            "description": "Sink nodes of the pipeline."
          }
        }
      },
      "pipeline-node": {
        "type": "object",
        "additionalProperties": true,
        "title": "PipelineNode",
        "description": "A PipelineNode record represents the available node types, operators and alert schemas for building pipelines.",
        "properties": {
          "alert_schema": {
            "type": "object",
            "additionalProperties": true
          },
          "node_alert_schema": {
            "type": "object",
            "additionalProperties": true
          },
          "nodes": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": true
            }
          },
          "operators": {
            "type": "object",
            "additionalProperties": true
          },
          "surge_alert_schema": {
            "type": "object",
            "additionalProperties": true
          },
          "usage_alert_schema": {
            "type": "object",
            "additionalProperties": true
          },
          "local_deploy_nodes": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": true
            }
          }
        }
      },
      "http-error-item": {
        "type": "object",
        "title": "HTTP Error Item",
        "additionalProperties": true,
        "properties": {
          "keyword": {
            "type": "string",
            "maxLength": 30,
            "description": "An indication of the type of rule or error that caused the request to fail"
          },
          "instance_path": {
            "type": "string",
            "maxLength": 200,
            "nullable": true,
            "default": null,
            "description": "JSON Pointer to the location in the data instance"
          },
          "schema_path": {
            "type": "string",
            "maxLength": 200,
            "nullable": true,
            "default": null,
            "description": "JSON Pointer to the location of the failing keyword in the schema"
          },
          "params": {
            "type": "object",
            "additionalProperties": true,
            "description": "Additional information about the error that can be used to generate error messages"
          },
          "property_name": {
            "type": "string",
            "maxLength": 100,
            "nullable": true,
            "default": null,
            "description": "Set for errors in `propertyNames` keyword schema"
          },
          "message": {
            "type": "string",
            "maxLength": 200,
            "description": "A message describing the nature of the error or failure"
          }
        },
        "required": [
          "keyword",
          "params",
          "message"
        ]
      },
      "http-error": {
        "type": "object",
        "title": "HTTP Error",
        "description": "A normalized representation of an error that is returned from an http request",
        "properties": {
          "status": {
            "type": "integer",
            "minimum": 300,
            "maximum": 599,
            "format": "int32",
            "description": "The HTTP status code the error is associated with"
          },
          "context": {
            "type": "string",
            "description": "The portion of the inbound request which triggered the validation failure",
            "enum": [
              "body",
              "querystring",
              "params",
              "headers"
            ]
          },
          "code": {
            "type": "string",
            "maxLength": 35,
            "description": "A textual classifier of the error or failure"
          },
          "message": {
            "type": "string",
            "maxLength": 200,
            "description": "A message describing the nature of the error or failure"
          },
          "errors": {
            "type": "array",
            "maxItems": 200,
            "description": "List of metadata objects describing validation failures or  contextual information",
            "items": {
              "$ref": "#/components/schemas/http-error-item"
            }
          }
        },
        "required": [
          "status",
          "code",
          "message"
        ]
      },
      "validation-error": {
        "type": "object",
        "title": "Validation Error",
        "description": "A normalized representation of an error that is returned from an http request\nin response to failed input validation",
        "properties": {
          "status": {
            "type": "integer",
            "minimum": 300,
            "maximum": 599,
            "format": "int32",
            "description": "The HTTP status code the error is associated with"
          },
          "context": {
            "type": "string",
            "description": "The portion of the inbound request which triggered the validation failure",
            "enum": [
              "body",
              "querystring",
              "params",
              "headers"
            ]
          },
          "code": {
            "type": "string",
            "maxLength": 35,
            "description": "A textual classifier of the error or failure"
          },
          "message": {
            "type": "string",
            "maxLength": 200,
            "description": "A message describing the nature of the error or failure"
          },
          "errors": {
            "type": "array",
            "maxItems": 200,
            "description": "List of metadata objects describing validation failures or  contextual information",
            "items": {
              "$ref": "#/components/schemas/http-error-item"
            }
          }
        },
        "required": [
          "status",
          "code",
          "message"
        ]
      },
      "legacy-validation-error": {
        "description": "A normalized representation of an error that is returned from an http request",
        "type": "object",
        "title": "Validation Error (Legacy)",
        "properties": {
          "status": {
            "type": "integer",
            "minimum": 300,
            "maximum": 599,
            "format": "int32",
            "description": "The HTTP status code the error is associated with"
          },
          "context": {
            "type": "string",
            "description": "The portion of the inbound request which triggered the validation failure",
            "enum": [
              "body",
              "querystring",
              "params",
              "headers"
            ]
          },
          "code": {
            "type": "string",
            "maxLength": 35,
            "description": "A textual classifier of the error or failure"
          },
          "message": {
            "type": "string",
            "maxLength": 200,
            "description": "A message describing the nature of the error or failure"
          },
          "errors": {
            "type": "array",
            "maxItems": 200,
            "description": "List of metadata objects describing validation failures",
            "items": {
              "additionalProperties": true,
              "type": "object",
              "title": "HTTP Error Item (Legacy)",
              "properties": {
                "keyword": {
                  "type": "string",
                  "maxLength": 30,
                  "description": "An indication of the type of rule or error that caused the request to fail"
                },
                "params": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Additional information about the error that can be used to generate error messages"
                },
                "message": {
                  "type": "string",
                  "maxLength": 200,
                  "description": "A message describing the nature of the error or failure"
                },
                "schemaPath": {
                  "type": "string",
                  "maxLength": 200,
                  "nullable": true,
                  "default": null,
                  "description": "JSON Pointer to the location of the failing keyword in the schema"
                },
                "instancePath": {
                  "type": "string",
                  "maxLength": 200,
                  "nullable": true,
                  "default": null,
                  "description": "JSON Pointer to the location in the data instance"
                },
                "propertyName": {
                  "type": "string",
                  "maxLength": 100,
                  "nullable": true,
                  "default": null,
                  "description": "where the validation error occurred"
                }
              },
              "required": [
                "keyword",
                "params",
                "message"
              ]
            }
          }
        },
        "required": [
          "status",
          "code",
          "message"
        ]
      },
      "legacy-http-error-item": {
        "additionalProperties": true,
        "type": "object",
        "title": "HTTP Error Item (Legacy)",
        "properties": {
          "keyword": {
            "type": "string",
            "maxLength": 30,
            "description": "An indication of the type of rule or error that caused the request to fail"
          },
          "params": {
            "type": "object",
            "additionalProperties": true,
            "description": "Additional information about the error that can be used to generate error messages"
          },
          "message": {
            "type": "string",
            "maxLength": 200,
            "description": "A message describing the nature of the error or failure"
          },
          "schemaPath": {
            "type": "string",
            "maxLength": 200,
            "nullable": true,
            "default": null,
            "description": "JSON Pointer to the location of the failing keyword in the schema"
          },
          "instancePath": {
            "type": "string",
            "maxLength": 200,
            "nullable": true,
            "default": null,
            "description": "JSON Pointer to the location in the data instance"
          },
          "propertyName": {
            "type": "string",
            "maxLength": 100,
            "nullable": true,
            "default": null,
            "description": "where the validation error occurred"
          }
        },
        "required": [
          "keyword",
          "params",
          "message"
        ]
      }
    }
  },
  "paths": {
    "/v3/enterprise": {
      "get": {
        "operationId": "getEnterpriseDetail",
        "summary": "Get an Enterprise and its child Accounts",
        "tags": [
          "Enterprise"
        ],
        "description": "Get an Enterprise and its child Accounts",
        "security": [
          {
            "AccessToken": []
          }
        ],
        "responses": {
          "200": {
            "description": "Response format containing the Enterprise and all child Accounts",
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": false,
                  "type": "object",
                  "title": "GetEnterpriseDetailResponse",
                  "description": "Response format containing the Enterprise and all child Accounts",
                  "properties": {
                    "meta": {
                      "type": "object",
                      "description": "Contains additional contextual information about the api response.",
                      "properties": {
                        "type": {
                          "type": "string",
                          "description": "A human readable identifier denoting the resource type",
                          "minLength": 1,
                          "maxLength": 50
                        },
                        "page": {
                          "type": "object",
                          "properties": {
                            "next": {
                              "type": "string",
                              "nullable": true,
                              "maxLength": 256
                            },
                            "previous": {
                              "type": "string",
                              "nullable": true,
                              "maxLength": 256
                            }
                          }
                        },
                        "pk": {
                          "type": "string",
                          "description": "Indicates the data property which holds the resource identifier",
                          "nullable": true,
                          "maxLength": 50
                        },
                        "links": {
                          "type": "object",
                          "description": "An object containing uri templates to this, and related resources",
                          "additionalProperties": true,
                          "properties": {
                            "self": {
                              "type": "object",
                              "additionalProperties": true,
                              "properties": {
                                "list": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "get"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for retrieving a list of the resource type",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource"
                                    }
                                  }
                                },
                                "detail": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "get"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for retrieving a single detail representation \nof the resource type",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
                                    }
                                  }
                                },
                                "update": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "patch"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for partially updating an individual resource",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
                                    }
                                  }
                                },
                                "replace": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "put"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for fully replacing or updating an individual resource",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
                                    }
                                  }
                                },
                                "create": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "post"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for creating a new instance of a specific resource",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource"
                                    }
                                  }
                                }
                              }
                            },
                            "related": {
                              "type": "object",
                              "additionalProperties": true,
                              "description": "Additional URI templates for interacting with resources \nwhich are tightly related"
                            }
                          },
                          "required": [
                            "self"
                          ]
                        }
                      },
                      "required": [
                        "type",
                        "page",
                        "pk",
                        "links"
                      ]
                    },
                    "data": {
                      "$ref": "#/components/schemas/enterprise"
                    }
                  },
                  "required": [
                    "meta",
                    "data"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "A normalized representation of an error that is returned from an http request\nin response to failed input validation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/validation-error"
                }
              }
            }
          },
          "401": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
            }
          },
          "429": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
            }
          },
          "500": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
            }
          },
          "5XX": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
            }
          },
          "4XX": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
            }
          }
        }
      }
    },
    "/v3/enterprise/account": {
      "patch": {
        "operationId": "patchEnterpriseAccountList",
        "summary": "Perform bulk operations on Enterprise Accounts",
        "tags": [
          "Enterprise"
        ],
        "description": "Perform bulk operations (CREATE, UPDATE, DELETE) on Enterprise Accounts",
        "requestBody": {
          "content": {
            "application/x-bulk+json": {
              "schema": {
                "type": "object",
                "title": "Account Bulk Operations Request",
                "description": "Request body for bulk operations on accounts",
                "properties": {
                  "operations": {
                    "type": "array",
                    "minItems": 1,
                    "maxItems": 100,
                    "description": "List of bulk operations",
                    "items": {
                      "type": "object",
                      "title": "Bulk Operation",
                      "description": "Represents a single bulk operation on an entity",
                      "allOf": [
                        {
                          "if": {
                            "properties": {
                              "action": {
                                "enum": [
                                  "UPDATE",
                                  "DELETE"
                                ],
                                "type": "string"
                              }
                            }
                          },
                          "then": {
                            "required": [
                              "entity_id"
                            ]
                          }
                        },
                        {
                          "if": {
                            "properties": {
                              "action": {
                                "enum": [
                                  "CREATE",
                                  "UPDATE"
                                ],
                                "type": "string"
                              }
                            }
                          },
                          "then": {
                            "required": [
                              "entity"
                            ]
                          }
                        }
                      ],
                      "properties": {
                        "operation_id": {
                          "type": "string",
                          "title": "Client generated id to associate operation with result",
                          "description": "Used for navigation only, not persisted in database.\nIf not provided, the array index (as string) will be used in the response",
                          "example": "4b1a1504fa47866dafe8b5d4"
                        },
                        "action": {
                          "type": "string",
                          "enum": [
                            "CREATE",
                            "UPDATE",
                            "DELETE"
                          ],
                          "description": "Operation type (enum, not extensible)"
                        },
                        "entity_id": {
                          "type": "string",
                          "title": "Entity unique identifier",
                          "description": "The identifier of the entity for UPDATE and DELETE operations.\nMUST be null or omitted for CREATE operations",
                          "example": "471ef1c4154b987a94509213"
                        },
                        "entity": {
                          "$ref": "#/components/schemas/account-create-request"
                        }
                      },
                      "required": [
                        "action"
                      ]
                    }
                  }
                },
                "required": [
                  "operations"
                ]
              }
            }
          },
          "required": true,
          "description": "Request body for bulk operations on accounts"
        },
        "security": [
          {
            "AccessToken": []
          }
        ],
        "responses": {
          "400": {
            "description": "A normalized representation of an error that is returned from an http request\nin response to failed input validation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/validation-error"
                }
              }
            }
          },
          "401": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
            }
          },
          "422": {
            "description": "Response format containing the results of bulk operations,\nin addition to the standard metadata object.",
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": false,
                  "type": "object",
                  "title": "PatchEnterpriseAccountListResponse",
                  "description": "Response format containing the results of bulk operations,\nin addition to the standard metadata object.",
                  "properties": {
                    "meta": {
                      "type": "object",
                      "description": "Contains additional contextual information about the api response.",
                      "properties": {
                        "type": {
                          "type": "string",
                          "description": "A human readable identifier denoting the resource type",
                          "minLength": 1,
                          "maxLength": 50
                        },
                        "page": {
                          "type": "object",
                          "properties": {
                            "next": {
                              "type": "string",
                              "nullable": true,
                              "maxLength": 256
                            },
                            "previous": {
                              "type": "string",
                              "nullable": true,
                              "maxLength": 256
                            }
                          }
                        },
                        "pk": {
                          "type": "string",
                          "description": "Indicates the data property which holds the resource identifier",
                          "nullable": true,
                          "maxLength": 50
                        },
                        "links": {
                          "type": "object",
                          "description": "An object containing uri templates to this, and related resources",
                          "additionalProperties": true,
                          "properties": {
                            "self": {
                              "type": "object",
                              "additionalProperties": true,
                              "properties": {
                                "list": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "get"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for retrieving a list of the resource type",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource"
                                    }
                                  }
                                },
                                "detail": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "get"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for retrieving a single detail representation \nof the resource type",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
                                    }
                                  }
                                },
                                "update": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "patch"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for partially updating an individual resource",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
                                    }
                                  }
                                },
                                "replace": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "put"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for fully replacing or updating an individual resource",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
                                    }
                                  }
                                },
                                "create": {
                                  "nullable": true,
                                  "additionalProperties": false,
                                  "type": "object",
                                  "properties": {
                                    "method": {
                                      "enum": [
                                        "acl",
                                        "bind",
                                        "checkout",
                                        "connect",
                                        "copy",
                                        "delete",
                                        "get",
                                        "head",
                                        "link",
                                        "lock",
                                        "m-search",
                                        "merge",
                                        "mkactivity",
                                        "mkcalendar",
                                        "mkcol",
                                        "move",
                                        "notify",
                                        "options",
                                        "patch",
                                        "post",
                                        "propfind",
                                        "proppatch",
                                        "purge",
                                        "put",
                                        "rebind",
                                        "report",
                                        "search",
                                        "source",
                                        "subscribe",
                                        "trace",
                                        "unbind",
                                        "unlink",
                                        "unlock",
                                        "unsubscribe"
                                      ],
                                      "type": "string",
                                      "example": "post"
                                    },
                                    "uri": {
                                      "type": "string",
                                      "format": "uri-template",
                                      "maxLength": 250,
                                      "description": "A uri template for creating a new instance of a specific resource",
                                      "example": "https://api.mezmo.com/v3/enterprise/resource"
                                    }
                                  }
                                }
                              }
                            },
                            "related": {
                              "type": "object",
                              "additionalProperties": true,
                              "description": "Additional URI templates for interacting with resources \nwhich are tightly related"
                            }
                          },
                          "required": [
                            "self"
                          ]
                        }
                      },
                      "required": [
                        "type",
                        "page",
                        "pk",
                        "links"
                      ]
                    },
                    "data": {
                      "type": "object",
                      "title": "Account Bulk Operations Response",
                      "description": "Response body for bulk operations on accounts",
                      "properties": {
                        "status": {
                          "type": "string",
                          "enum": [
                            "SUCCEEDED",
                            "FAILED",
                            "PARTIAL"
                          ],
                          "title": "Overall status of the bulk operation"
                        },
                        "operations": {
                          "type": "array",
                          "title": "List of bulk operations",
                          "description": "Results for each operation from the request. Should be in the same order as the request operations",
                          "items": {
                            "type": "object",
                            "title": "Bulk Operation Result",
                            "description": "Represents the result of a single bulk operation on an entity",
                            "properties": {
                              "operation_id": {
                                "type": "string",
                                "title": "Matching operation_id or index from request",
                                "description": "Matches the operation_id from the request if provided,\notherwise the index of the operation as a string",
                                "example": "408efce8aa57bd0d8a861298"
                              },
                              "action": {
                                "type": "string",
                                "enum": [
                                  "CREATE",
                                  "UPDATE",
                                  "DELETE"
                                ],
                                "description": "Operation type (enum, not extensible)"
                              },
                              "entity_id": {
                                "type": "string",
                                "title": "Entity identifier",
                                "description": "Entity identifier for UPDATE / DELETE operations",
                                "example": "cb7b7c1f5100d2d5d31ad4f1"
                              },
                              "entity": {
                                "$ref": "#/components/schemas/account"
                              },
                              "result": {
                                "type": "object",
                                "title": "Operation result",
                                "description": "Result details for a single operation",
                                "properties": {
                                  "status": {
                                    "type": "string",
                                    "enum": [
                                      "SUCCEEDED",
                                      "FAILED"
                                    ],
                                    "title": "Operation result status"
                                  },
                                  "detail": {
                                    "type": "string",
                                    "title": "Human readable message",
                                    "description": "Detailed message about the operation result",
                                    "example": "Account created successfully"
                                  },
                                  "context": {
                                    "type": "array",
                                    "title": "Detailed error information",
                                    "description": "List of objects providing additional context\nfor errors or failures",
                                    "items": {
                                      "type": "object",
                                      "title": "Detailed error information",
                                      "properties": {
                                        "message": {
                                          "type": "string",
                                          "title": "Specific error details",
                                          "example": "Account not found"
                                        },
                                        "code": {
                                          "type": "string",
                                          "title": "Machine readable error code",
                                          "example": "ECONTRACT"
                                        }
                                      },
                                      "required": [
                                        "message",
                                        "code"
                                      ]
                                    }
                                  }
                                },
                                "required": [
                                  "status",
                                  "detail",
                                  "context"
                                ]
                              }
                            },
                            "required": [
                              "operation_id",
                              "action"
                            ]
                          }
                        }
                      },
                      "required": [
                        "status",
                        "operations"
                      ]
                    }
                  },
                  "required": [
                    "meta",
                    "data"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "A normalized representation of an error that is returned from an http request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/http-error"
                }
              }
[...]
